Announcement Announcement Module
Collapse
No announcement yet.
Error with AccessDecisionvoter Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Error with AccessDecisionvoter

    Hello folks:

    I have setup an AccessDecisionVoter and for some reason, I am getting an error when I put the bean in the list of AccessDecisionManager:

    AccessDecisionManager does not support secure object class: class org.springframework.security.web.FilterInvocation


    public class OAuth2ScopeResourceVoter implements AccessDecisionVoter<Object>,
    ApplicationEventPublisherAware {

    private final String OAUTH_SCOPE_RESOURCE = "www";
    private ApplicationEventPublisher publisher;

    @Override
    public void setApplicationEventPublisher(ApplicationEventPubli sher publisher) {
    this.publisher = publisher;
    }

    @Override
    public boolean supports(ConfigAttribute arg0) {
    if(arg0.getAttribute().startsWith(this.OAUTH_SCOPE _RESOURCE) && arg0.getAttribute() != null)
    return true;
    else
    return false;
    }

    @Override
    public boolean supports(Class arg0) {
    return false;
    }

    @Override
    public int vote(Authentication arg0, Object arg1, Collection arg2) {
    // TODO Auto-generated method stub
    return 0;
    }

    }

    I haven't gotten any help from the IRC or this forum in sometime. Is this framework dead? Can't get any help anyware.
Working...
X